use crate::{schema, UIDCError};
use microrm::prelude::*;

pub fn create(db: &microrm::DB, realm_id: schema::RealmID, name: &str) -> Result<(), UIDCError> {
    let qi = db.query_interface();

    qi.add(&schema::Client {
        realm: realm_id,
        shortname: name.into(),
        secret: "".into(),
    })?;
    Ok(())
}

pub fn inspect(db: &microrm::DB, realm_id: schema::RealmID, name: &str) -> Result<(), UIDCError> {
    todo!()
}
